DevelopersAPIReferencenotifications
Delete notification
User sessions can only delete their own notifications.
Authorization
bearerAuth Authorization<token>
A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
In: header
Path Parameters
walletId*string
Row uuid
Format
uuidid*string
Row uuid
Format
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/notifications/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "type": "string", "recipientUserId": "string", "readTime": "2019-08-24T14:15:22Z", "payload": { "property1": null, "property2": null }, "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string"}